<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.AutoM.signal.wait</name>
<version>3</version>
<engineversion>25</engineversion>
<description>Following ships hold position several km away</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;the&#160;Automining&#160;software</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>rewrite&#160;in&#160;progress</var></comment></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><var>$CMD.mining&#160;=&#160;</var><var>COMMAND_XAI_AUTOM_MINING</var></line>
<line linenr="007" indent=""><var>$Hold.Position&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;position&#160;as&#160;array</text></line>
<line linenr="008" indent=""><var>$pos.x&#160;=&#160;</var><var>$Hold.Position</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="009" indent=""><var>$pos.x&#160;=&#160;</var><var>$pos.x</var><text>&#160;</text><var>+</var><text>&#160;</text><var>6500</var></line>
<line linenr="010" indent=""><var>$pos.y&#160;=&#160;</var><var>$Hold.Position</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="011" indent=""><var>$pos.z&#160;=&#160;</var><var>$Hold.Position</var><text>[</text><var>2</var><text>]</text></line>
<line linenr="012" indent=""></line>
<line linenr="013" interruptable="@" indent=""><var>$scan.range&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.find</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'scanner.range'</var><text>&#160;</text><text>&#160;Arg1=</text><var>[THIS]</var><text>&#160;</text><text>&#160;Arg2=</text><var>null</var><text>&#160;</text><text>&#160;Arg3=</text><var>null</var><text>&#160;</text><text>&#160;Arg4=</text><var>null</var></line>
<line linenr="014" indent=""></line>
<line linenr="015" indent=""><comment><text>*&#160;</text><var>Find&#160;player&#160;ships</var></comment></line>
<line linenr="016" indent=""><var>$ships&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>[SECTOR]</var><text>&#160;class&#160;or&#160;type=</text><var>null</var><text>&#160;race=</text><var>Player</var><text>&#160;flags=</text><var>[Find.Multiple]</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>$scan.range</var><text>&#160;maxnum=</text><var>999</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="017" interruptable="@" indent=""><var>$ship.miner&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.find2</call><text>&#160;:&#160;</text><text>&#160;Command=</text><var>'ship.byCmd'</var><text>&#160;</text><text>&#160;Arg1=</text><var>$ships</var><text>&#160;</text><text>&#160;Arg2=</text><var>$CMD.mining</var><text>&#160;</text><text>&#160;Arg3=</text><var>[FALSE]</var><text>&#160;</text><text>&#160;Arg4=</text><var>null</var></line>
<line linenr="018" indent=""></line>
<line linenr="019" indent=""><var>if&#160;not&#160;</var><text>&#160;find&#160;flying&#160;ware:&#160;sector=</text><var>[SECTOR]</var><text>&#160;maintype=</text><var>20</var><text>&#160;subtype=</text><var>null</var><text>&#160;flags=</text><var>[Find.Nearest]</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>$scan.range</var><text>&#160;maxnum=</text><var>1</var><text>,&#160;refpos=</text><var>null</var></line>
<line linenr="020" indent="&#160;"><var>if&#160;</var><var>$ship.miner</var></line>
<line linenr="021" indent="&#160;&#160;"><var>while&#160;not&#160;</var><var>$fragments</var></line>
<line linenr="022" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;to&#160;position:&#160;x=</text><var>$pos.x</var><text>&#160;y=</text><var>$pos.y</var><text>&#160;z=</text><var>$pos.z</var><text>&#160;with&#160;precision&#160;</text><var>2500</var><text>&#160;m</text></line>
<line linenr="023" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10000</var><text>&#160;ms</text></line>
<line linenr="024" indent="&#160;&#160;&#160;"><var>$fragments&#160;=&#160;</var><text>&#160;find&#160;flying&#160;ware:&#160;sector=</text><var>[SECTOR]</var><text>&#160;maintype=</text><var>20</var><text>&#160;subtype=</text><var>null</var><text>&#160;flags=</text><var>[Find.Nearest]</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>$scan.range</var><text>&#160;maxnum=</text><var>1</var><text>,&#160;refpos=</text><var>null</var></line>
<line linenr="025" indent="&#160;&#160;&#160;"><var>$ship.cmd&#160;=&#160;</var><var>$ship.miner&#160;-&gt;</var><text>&#160;get&#160;command</text></line>
<line linenr="026" indent="&#160;&#160;&#160;"></line>
<line linenr="027" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$ship.cmd</var><text>&#160;</text><var>==</var><text>&#160;</text><var>COMMAND_XAI_AUTOM_MINING</var></line>
<line linenr="028" indent="&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="029" indent="&#160;&#160;&#160;"></line>
<line linenr="030" indent="&#160;&#160;&#160;"><var>$dist&#160;=&#160;</var><text>get&#160;distance&#160;between&#160;</text><var>$ship.miner</var><text>&#160;and&#160;</text><var>[THIS]</var></line>
<line linenr="031" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$dist</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$scan.range</var></line>
<line linenr="032" indent="&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="033" indent="&#160;&#160;"><text>end</text></line>
<line linenr="034" indent="&#160;"><text>end</text></line>
<line linenr="035" indent=""><text>end</text></line>
<line linenr="036" indent=""></line>
<line linenr="037" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.AutoM.signal.wait" /><sval type="int" val="25" /><sval type="string" val="Following ships hold position several km away" /><sval type="int" val="3" /><sval type="int" val="0" /><sval type="array" size="11"><sval type="string" val="CMD.mining" /><sval type="string" val="Hold.Position" /><sval type="string" val="pos.x" /><sval type="string" val="pos.y" /><sval type="string" val="pos.z" /><sval type="string" val="scan.range" /><sval type="string" val="ships" /><sval type="string" val="ship.miner" /><sval type="string" val="fragments" /><sval type="string" val="ship.cmd" /><sval type="string" val="dist" /></sval><sval type="array" size="23"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="520" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="795" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="6500" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="16"><sval type="int" val="102" /><sval type="string" val="lib.Xai.find" /><sval type="int" val="5" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="int" val="5" /><sval type="string" val="scanner.range" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="6" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="131075" /><sval type="int" val="111" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="999" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="16"><sval type="int" val="102" /><sval type="string" val="lib.Xai.find2" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="int" val="5" /><sval type="string" val="ship.byCmd" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="9" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="18"><sval type="int" val="766" /><sval type="int" val="-536865276" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="4" /><sval type="int" val="20" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610607101" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536865270" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="12"><sval type="int" val="523" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="2500" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10000" /></sval><sval type="array" size="18"><sval type="int" val="766" /><sval type="int" val="8" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="4" /><sval type="int" val="20" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="525" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536866297" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="18" /><sval type="int" val="520" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="22" /></sval><sval type="array" size="6"><sval type="int" val="738" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536865529" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="22" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="11" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="17"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of the Automining software" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="rewrite in progress" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="7" /><sval type="int" val="1" /><sval type="string" val="Find player ships" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="18" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="18" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
